Bug 977880 - JMOL Java applet doesn't work
JMOL Java applet doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: icedtea-web (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Domurad
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 10:03 EDT by Aram Agajanian
Modified: 2013-07-01 05:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 05:42:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aram Agajanian 2013-06-25 10:03:26 EDT
Description of problem:
The Java applet at the following URL doesn't work in Fedora 18.

http://chemapps.stolaf.edu/jmol/docs/examples-11/new8.htm


Version-Release number of selected component (if applicable):
icedtea-web-1.4-1.fc18.x86_64

How reproducible:
Happens every time

Steps to Reproduce:
1. setenforce 0 (as per bug #966401)
2. start firefox
3. go to above URL

Actual results:
The applet doesn't display properly.

Expected results:
The applet should display properly.

Additional info:
The applet does display properly in EL6.4 with icedtea-web-1.2.3-2.el6_4.
Comment 1 jiri vanek 2013-06-25 10:36:11 EDT
[jvanek@jvanek icedtea6-1.11]$ opera http://chemapps.stolaf.edu/jmol/docs/examples-11/new8.htm
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
/home/jvanek/Desktop/icedtea-web/plugin/icedteanp/IcedTeaNPPlugin.cc:2032: thread 0x1d79200: Error: Unknown plugin value requested.
java version "1.7.0-internal"
OpenJDK Runtime Environment (build 1.7.0-internal-jvanek_2013_06_11_17_03-b00)
OpenJDK 64-Bit Server VM (build 23.7-b01, mixed mode)
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
ClassPreloader - org.jmol.viewer.JmolConstants
ClassPreloader - org.jmol.modelset.Atom
ClassPreloader - org.jmol.g3d.Graphics3D
urlImage=jar:http://chemapps.stolaf.edu/jmol/docs/examples-11/JmolApplet0.jar!/jmol75x29x8.gif
Jmol applet jmolApplet0__612293386317988__ initializing
ClassPreloader - org.jmol.util.Escape
AppletRegistry.checkIn(jmolApplet0__612293386317988__)
ClassPreloader - org.jmol.adapter.smarter.SmarterJmolAdapter
1828 script command tokens
applet context: -applet
appletDocumentBase=http://chemapps.stolaf.edu/jmol/docs/examples-11/new8.htm
appletCodeBase=http://chemapps.stolaf.edu/jmol/docs/examples-11/
(C) 2009 Jmol Development
Jmol Version: 12.3.15_dev  2011-12-13 14:20
java.vendor: Oracle Corporation
java.version: 1.7.0-internal
os.name: Linux
memory: 18.6/123.7
processors available: 4
useCommandThread: false
appletId:jmolApplet0
defaults = "Jmol"
backgroundColor = "#000033"
errorCallback = "errorCallback"
hoverCallback = "showmsg"
measureCallback = "measureCallback"
messageCallback = "showmsg"
pickCallback = "showpick"
scriptCallback = "scriptCallback"
language=en_US
Jmol applet jmolApplet0__612293386317988__ ready
java.lang.NullPointerException
	at sun.applet.PluginAppletSecurityContext.handleMessage(PluginAppletSecurityContext.java:526)
	at sun.applet.AppletSecurityContextManager.handleMessage(AppletSecurityContextManager.java:70)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:234)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:93)
Error on Java side: null 
Error: Error occurred on Java side: null .
Comment 2 Adam Domurad 2013-06-26 09:58:57 EDT
I have a candidate fix: http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-June/023809.html

Cheers,
-Adam

Note You need to log in before you can comment on or make changes to this bug.